using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using Foundation;
using UIKit;
using System.ComponentModel;

namespace EditingInIOS
{
    public class ProductInfo : INotifyPropertyChanged
    {
        #region Private Members

        private int productID;
        private int userRating;
        
        #endregion

        #region Properties

        public int ProductID
        {
            get { return this.productID; }
            set
            {
                this.productID = value;
                this.RaisePropertyChanged("ProductID");
            }
        }

        public int UserRating
        {
            get { return this.userRating; }
            set
            {
                this.userRating = value;
                this.RaisePropertyChanged("UserRating");
            }
        }

        #endregion

        #region INotifyPropertyChanged implementation

        public event PropertyChangedEventHandler PropertyChanged;

        private void RaisePropertyChanged(String Name)
        {
            if (PropertyChanged != null)
                this.PropertyChanged(this, new PropertyChangedEventArgs(Name));
        }

        #endregion
    }
}